Summary: A utility for removing files based on last access time
Name: tmpreaper
Version: 1.6.13
Release: 1
URL: http://www.debian.org/
Source0: http://ftp.debian.org/debian/pool/main/t/%{name}/%{name}_%{version}+nmu1.tar.gz
Source1: http://ftp.debian.org/debian/pool/main/t/%{name}/%{name}_%{version}+nmu1.dsc
Patch0: %{name}-%{version}-aix.patch
License: GPLv2
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Cleans up files in directories based on their age.  This package provides a
program that can be used to clean out temporary-file directories.
It recursively searches the directory, refusing to chdir() across symlinks,
and removes files that haven't been accessed in a user-specified amount of
time.  You can specify a set of files to protect from deletion with a shell
pattern.  It will not remove files owned by the process EUID that have the
'w' bit clear, unless you ask it to, much like 'rm -f'.  'tmpreaper' will
not remove symlinks, sockets, fifos, or special files unless given a command
line option enabling it to.

WARNING: Please do not run 'tmpreaper' on '/'.  There are no protections
         against this written into the program, as that would prevent it from
         functioning the way you'd expect it to in a 'chroot(8)' environment.
         The daily tmpreaper run can be configured through /etc/tmpreaper.conf.


%prep
%setup -q -n %{name}-%{version}+nmu1
%patch0


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_sbindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/sbin
cd usr/sbin
ln -sf ../..%{_sbindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc COPYING ChangeLog README
%{_sbindir}/*
%{_mandir}/man8/*
/usr/sbin/*


%changelog
* Tue Feb 15 2011 Michael Perzl <michael@perzl.org> - 1.6.13-1
- first version for AIX V5.1 and higher
